Connect a webhook-style provider
curl --request POST \
--url https://api.pickupbell.com/locations/{locationId}/integrations \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"provider": "<string>",
"webhook_url": "<string>",
"label": "<string>"
}
'import requests
url = "https://api.pickupbell.com/locations/{locationId}/integrations"
payload = {
"provider": "<string>",
"webhook_url": "<string>",
"label": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({provider: '<string>', webhook_url: '<string>', label: '<string>'})
};
fetch('https://api.pickupbell.com/locations/{locationId}/integrations', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"location_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"provider": "slack",
"status": "connected",
"external_id": "<string>",
"expires_at": "2023-11-07T05:31:56Z",
"config": {},
"connected_at": "2023-11-07T05:31:56Z",
"disconnected_at": "2023-11-07T05:31:56Z",
"last_synced_at": "2023-11-07T05:31:56Z",
"last_error": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}
}API Reference · Integrations & alerts
Connect webhook integration
Works for slack, zapier, make, n8n, calcom. OAuth providers use their own redirect flow and can’t be connected via this endpoint.
POST
/
locations
/
{locationId}
/
integrations
Connect a webhook-style provider
Authorizations
Location-scoped API token from Settings → API & MCP.
Path Parameters
Location UUID or slug (e.g. premier-hvac).
Body
application/json
Response
201 - application/json
Connected
Access / refresh tokens are never returned.
Show child attributes
Show child attributes